<?php

# Copyright (c)  2008 - Marcus Lunzenauer <mlunzena@uos.de>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

if (! defined('FLEXI_VERSION') ) {

	define('FLEXI_VERSION', '0.4.2');

	/**
	 * Bootstrapping file for flexi. Just include this to get going.
	 *
	 * @package   flexi
	 */

	require_once 'exceptions.php';
	require_once 'template.php';
	require_once 'template_factory.php';
	require_once 'php_template.php';
	require_once 'js_template.php';

	require_once 'helper/js_helper.php';
	require_once 'helper/prototype_helper.php';
	require_once 'helper/scriptaculous_helper.php';
	require_once 'helper/tag_helper.php';
	require_once 'helper/text_helper.php';
}

