<div id="StudIPortViewDetails">

<!-- basic data form -->
<form id='viewBasicsForm' name='viewBasicsForm' action='javascript:void(0);' method='post'>

<!-- hidden meta data -->
<input id="view_id" name="view_id" type="hidden" value="<?= $data['view_id']; ?>" />

<!-- actually visible data -->
<div class="formHeader" onclick="StudIPort.expand('btnLiftBasis', 'StudIPortBasisWrapper')" style="cursor: pointer;">
	<span>Basisdaten</span><span style="float: right;"><img id='btnLiftBasis' src='<?=STUDIPORT_IMG_URI?>/btn_expand.png' width='16' height='16' alt='expand/collapse' />
</div>

<div id='StudIPortBasisWrapper'>

<div class="oddRow">
	<label for="__view_id">Ansicht-Nr.</label>
	<input id="__view_id" name="__view_d" type="text" value="<?= htmlReady($data['view_id']) ?>" onchange="viewBasics.change(this);" style="width:400px;" readonly="readonly" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" title="Feld nur lesbar" />
</div>

<div class="evenRow">
	<label for="name">Name</label>
	<input id="name" name="name" type="text" value="<?= htmlReady($data['name']) ?>" onchange="viewBasics.change(this);" style="width:400px;" />
</div>

<div class="oddRow">	
	<label for="descr">Beschreibung</label>
	<textarea id="descr" name="descr" onchange="viewBasics.change(this);" style="width:400px; height:90px;" ><?= htmlReady($data['descr']) ?></textarea>
</div>
		
<div class="evenRow">
	<label for=>Erstellt</label>
	<input id="created" name="created" type="text" readonly="readonly" value="<?= $data['created'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" title="Feld nur lesbar" />
</div>

<div class="oddRow">
	<label for=>Ge&auml;ndert</label>
	<input id="edited" name="edited" type="text" readonly="readonly" value="<?= $data['edited'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" title="Feld nur lesbar" />
</div>
	
<div class="evenRow">
	<label for="expires">G&uuml;ltig bis</label>
	<input id="expires" name="expires" type="text" value="<?= $data['expires'] ?>" onchange="viewBasics.change(this);" style="width:400px;" /><a href="javascript:void(0);" onclick="expiresCal.select($('expires'), 'expiresBtn', 'dd.MM.yyyy'); viewBasics.change($('expires')); return false;"><img id='expiresBtn' src='<?=STUDIPORT_IMG_URI?>/calendar.png' width='16' height='16' alt='Kalender' title='Datum wählen' /></a><div id="expiresCal" style='position:absolute; background-color:white; z-index:9999;'></div><a href="javascript:void(0);" onclick="$('expires').value='---'; viewBasics.change($('expires')); return false;"><img src="<?=STUDIPORT_IMG_URI?>/no_faded.png" width="16" height="16" alt="Kein Ablaufdatum" onmouseover="this.src=this.src.sub('no_faded', 'no');" onmouseout="this.src=this.src.sub('no', 'no_faded');" /></a>
</div>
<!-- the calendar is set up/created at the bottom of the page -->

<div class="oddRow">
<label for="public">Externer Zugang</label>
<input id="public" name="public" type="checkbox" value="Y" <?= $data['public'] == 'Y' ? 'checked="checked"' : '' ?> onchange="viewBasics.change(this);" />&nbsp;freigeben
&nbsp;-&nbsp;
<a href="javascript:void(0);" onmouseover="StudIPort.view.showAccessLink($('viewAccessBox'), $F('view_id'), $F('access_code'), '<?= $extAccessUrl ?>');" onmouseout="StudIPort.view.hideAccessLinkTimed($('viewAccessBox'));">Link f&uuml;r externen Zugang anzeigen</a>
<div id="viewAccessBox" class="popupBox" style="position:absolute; display:none;" onmouseover="StudIPort.view.cancelHideAccessLink();" onmouseout="StudIPort.view.hideAccessLinkTimed($('viewAccessBox'))">&nbsp;</div>
</div>

<div class="evenRow">
<label for="access_code">Zugangscode</label>
<input id="access_code" name="access_code" type="text" value="<?= $data['access_code'] ?>" style="width:400px;" readonly="readonly" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" title="Feld nur lesbar" /><br />
<label for="access_code_renew">&nbsp;</label>
<input id="access_code_renew" name="access_code_renew" type="checkbox" value="Y" onchange="viewBasics.change(this);" /> neu erzeugen
</div>

<!-- footer with message box and buttons -->
<div class="formFooter">
	<div class="formButtons">
		<input type="image" <?= StudIPortUtilities::makeHTMLButton("abbrechen"); ?> onclick="viewBasics.abort('viewReloadBasics', {'view_id': $F('view_id')});" />
		<input type="image" <?= StudIPortUtilities::makeHTMLButton("speichern"); ?> onclick="viewBasics.save('viewSaveBasics');" />
	</div>
	<div id="viewBasicsFormMsgBox" class="msgBox">&nbsp;</div>
</div>

</div><!-- end wrapper -->
</form>

<br />


<script type="text/javascript">
	var viewBasics = new FormStatus('viewBasicsForm', 'viewBasicsFormMsgBox');
</script>


<!-- ///////////////////////////////////////////////////////////////////////// -->
<!-- file management -->

<div class="formHeader" onclick="StudIPort.expand('btnLiftFiles', 'StudIPortFileListWrapper')" style="cursor: pointer;">
	<span>Dateiauswahl</span><span style="float: right;"><img id='btnLiftFiles' src='<?=STUDIPORT_IMG_URI?>/btn_expand.png' width='16' height='16' alt='expand/collapse' /></span>
</div>

<div id="StudIPortFileListWrapper" style="display: none;">
	<div class="evenRow">
		<?= $files ?>
	</div>

	<div class="formFooter">
		<div class="formButtons">
			<input type="image" <?= StudIPortUtilities::makeHTMLButton("abbrechen"); ?> onclick="StudIPort.view.reloadFilesForm(<?= $data['view_id'] ?>);" />
			<input type="image" <?= StudIPortUtilities::makeHTMLButton("speichern"); ?> onclick="StudIPort.view.saveFilesForm(<?= $data['view_id'] ?>);" />
		</div>
		<div id="viewFilesFormMsgBox" class="msgBox">&nbsp;</div>
	</div>
</div>

<br />

<script type="text/javascript">
        var viewFiles = new FormStatus('StudIPortFileListForm', 'viewFilesFormMsgBox');
        boxes = $('StudIPortFileListForm').getInputs('checkbox');
        boxes.each(function(el) {
                el.observe('change', function(event) { viewFiles.change(null); } );
        });
</script>

<!-- ///////////////////////////////////////////////////////////////////////// -->
<!-- user access form -->
<div class="formHeader" onclick="StudIPort.expand('btnLiftUser', 'StudIPortUserAccess')" style="cursor: pointer;">
	<span>Freigaben</span><span style="float: right;"><img id='btnLiftUser' src='<?=STUDIPORT_IMG_URI?>/btn_expand.png' width='16' height='16' alt='expand/collapse' /></span>
</div>

<div id="StudIPortUserAccess" style="display: none;">
	<div id="userList" class="evenRow" style="padding:10px;">
		<div style="float:left; clear:none;">
			<div class="cellBox userBox">
				<div class="boxHeader">Nutzer mit Zugriffsrechten</div>
				<div class="scrollBox" style="height:200px;">
				<ul id="userList_act">
				<!-- code borrowed from $STUDIP/app/views/autocomplete/person/family.php -->
				<? foreach ($access as $person) : ?>
					<li class="drag" id="<?= $person['user_id']?>">
						<div class="listTitle">
						<?= StudIPortAvatar::getImageTag($person['user_id']) ?>
						<?= htmlReady($person['fullname']) ?>
						</div>
<!--
						<div class="listActions">
						<a href="about.php?username=<?= $person['username']; ?>" target="_blank"><img src="<?=STUDIPORT_IMG_URI?>/go-home.png" width="16" height="16" alt="ansehen" style="margin-left:10px;" /></a>
						</div>
-->
					</li>
				<? endforeach ?>
				</ul>
				</div>
			</div>
			<div id="userList_del" class="userDropBox">
				<img src="<?=STUDIPORT_IMG_URI?>/user-remove.png" alt="Mülleimer" width="32" height="22" style="float:left; padding-right:10px;" />Nutzer hier ablegen, um Berechtigung zu entziehen
			</div>
		</div>
		<div style="float:left; clear:none;">
			<div id="userList_add" class="userAddBox" style="width:68px; height:190px; margin:20px 19px; vertical-align:middle; text-align:center;">
				<img src="<?=STUDIPORT_IMG_URI?>/user-add.png" alt="Hinzufügen" width="32" height="22" style="margin:10px 0 20px 0;" /><br />
				Nutzer zum Hinzuf&uuml;gen hier ablegen
			</div>
		</div>
		<div style="margin-left:420px; clear:none;">
			<div class="cellBox userBox" style="clear:none;">
				<div class="boxHeader" style="clear:none;">Nutzer-Suchergebnisse</div>
				<div class="scrollBox" style="height:200px; clear:none;">
					<ul id="userList_sel"></ul>
				</div>
				<form action="javascript:void(0);" onsubmit="StudIPort.doUserSearch('userList_sel', 'userSearch', 'userSearchMsgBox')" style="display:block; padding:5px; margin:0 auto; height:20px; clear:none;">
					<img src="<?=STUDIPORT_IMG_URI?>/user-find.png" alt="Suchen" width="32" height="22" style="float:left; padding-right:10px;" />
					<input type="image" <?= StudIPortUtilities::makeHTMLButton("suchen");; ?> style="float:right;" />
					<input id="userSearch" type="text" value="" style="width:130px;" />
				</form>
				<div id="userSearchMsgBox" class="msgBox" style="height:12px; font-size:10px; clear:none;"></div>
			</div>
		</div>
	</div>

	<form id='viewAccessForm' name='viewAccessForm' action='javascript:void(0);' method='post'>
		<div class="formFooter">
			<div class="formButtons">
				<input type="image" <?= StudIPortUtilities::makeHTMLButton("abbrechen");; ?> onclick="StudIPort.view.reloadAccessForm(<?= $data['view_id'] ?>);" />
				<input type="image" <?= StudIPortUtilities::makeHTMLButton("speichern");; ?> onclick="StudIPort.view.saveAccessForm(<?= $data['view_id'] ?>);" />
			</div>
			<div id="viewAccessFormMsgBox" class="msgBox">&nbsp;</div>
		</div>
	</form>
</div>

<br />


<!-- ///////////////////////////////////////////////////////////////////////// -->
<!-- feedback -->
<? $btn  = ($showQuestions) ? 'collapse' : 'expand' ?>
<? $disp = ($showQuestions) ? 'block'    : 'none' ?>

<div class="formHeader" onclick="StudIPort.expand('btnLiftQuestion', 'StudIPortQuestion')" style="cursor: pointer;">
	<span>Feedback-Fragen</span><span style="float: right;"><img id='btnLiftQuestion' src='<?=STUDIPORT_IMG_URI?>/btn_<?= $btn ?>.png' width='16' height='16' alt='expand/collapse' /></span>
</div>

<div id="StudIPortQuestion" style="display: <?= $disp ?>;">
	<div class="evenRow" style="padding: 10px;">
		<?= $questions ?>
	</div>


	<!-- addition of new questions -->
	<form id='questionCreateForm' name='questionCreateForm' action='javascript:void(0);' method='post'>
		<div class="msgBox formFooter">
       			&nbsp;Neue Frage hinzuf&uuml;gen:
	        	<input id="text" name="text" type="text" style="width:400px;" />&nbsp;
		        <a href="javascript:StudIPort.question.create(<?= $data['view_id'] ?>, $F('text'));"><img onmouseover="this.src=this.src.sub('add_faded', 'add');" onmouseout="this.src=this.src.sub('add', 'add_faded');" src="<?=STUDIPORT_IMG_URI?>/add_faded.png" width="16" height="16" alt="hinzufuegen" /></a>

		</div>
	</form>
</div>

<br />



<script type="text/javascript">
//<![CDATA[
	// waste bin to remove users from view
	Droppables.add("userList_add", {
		containment: "userList_sel",
		hoverclass:  "userAddHover",
		onDrop:      StudIPort.view.addUser
	});


	// make userList_act box sortable
	StudIPort.view.initUserAccessSortable();

	// waste bin to remove users from view
	Droppables.add("userList_del", {
		containment: "userList_act",
		hoverclass:  "userRemoveHover",
		onDrop:      StudIPort.view.removeUser
	});
//]]>
</script>



<!-- setup the calendar for expiration of view -->
<script language="JavaScript">
var expiresCal = new CalendarPopup("expiresCal");
expiresCal.setCssPrefix("CAL");
expiresCal.setMonthNames("Januar","Februar","M&auml;rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember");
expiresCal.setMonthAbbreviations("Jan","Feb","M&auml;r","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez");
expiresCal.setDayHeaders("S","M","D","M","D","F","S");
expiresCal.setWeekStartDay(1);
expiresCal.showNavigationDropdowns();
expiresCal.setTodayText("Heute");
</script>


</div><!-- wrapper div: #StudIPortViewDetails -->
