<?php
/**************************************************************************
 * $Id: $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once("StudIPortDB.iface.php");


class StudIPortDB extends Iface_StudIPortDB {
	protected $link;
	protected $result;
	protected $cur_row;
	protected $row;

	public function __construct($q = false) {
		$this->link = mysql_connect(STUDIPORT_DB_HOST, STUDIPORT_DB_USER, STUDIPORT_DB_PASSWORD);
		if (!$this->link) {
			die('Can not connect to database: '.mysql_error());
		}
		if (!mysql_select_db(STUDIPORT_DB_DATABASE, $this->link)) {
			die('Can not use database "studiport": '.mysql_error());
		}
		$this->result = false;
		$this->cur_row = 0;
		$this->row = false;

		mysql_query("SET NAMES 'utf8';");

		if (! empty($q)) {
			$this->query($q);
		}
	}

	public function query($q) {
		if ($this->result) {
			if ($this->result !== true) {
				mysql_free_result($this->result);
			}
			$this->result = false;
			$this->cur_row = 0;
		    $this->row = false;
		}
		$this->result = mysql_query($q, $this->link);
		if (!$this->result) {
			return false;
		} else {
			return true;
		}
	}

	public function escape($v) {
		return mysql_real_escape_string($v);
	}

        // convert a string from UTF8 to DB character set
        public static function convertToDB($v) {
		return $v;
	}

        // convert a string from DB character set to UTF8
        public static function convertFromDB($v) {
		return $v;
	}

	public function next_record() {
		if (!$this->result) {
		    $this->row = false;
			return false;
		} else {
			$this->cur_row++;
			if ($this->cur_row > mysql_num_rows($this->result)) {
			    $this->cur_row--;
				return false;
			}
			mysql_data_seek($this->result, $this->cur_row - 1);
			$this->row = mysql_fetch_assoc($this->result);
			return true;
		}
	}

	public function get_record() {
		return $this->row;
	}
	
	public function f($fn) {
		if ($this->row) {
			return $this->row[$fn];
		} else {
			return false;
		}
	}

	public function num_rows() {
		return mysql_num_rows($this->result);
	}

	public function cur_row() {
		return $this->cur_row;
	}

	public function affected_rows() {
		return mysql_affected_rows($this->link);
	}
};

?>
