#!/bin/sh

ARCH="ePortfolio-full-1.0.zip"

SRC_FILES="
	ajax/*.php
	config/StudIPort.config.local.php.dist
	config/StudIPort.config.php
	lib/*.php
	lib/classes/*.php
	lib/ext
	lib/system/*.php
	lib/system/studip/*.php
	media/images/contact/*
	media/images/*.png
	media/images/*.jpg
	media/images/*.gif
	media/js/*
	media/styles/*.css
	migrations/*.php
	print/README
	print/StudIPortPDFView.class.php
	print/test.pdf
	print/test.tex
	print/texmf
	sql/*.sql
	templates/*.php
	ARCHITECTURE
	AUTHORS
	BUGS
	external.php
	IMPORTANT
	index.php
	INSTALL
	INSTALL.standalone
	INSTALL.studip
	LICENSE
	makeFull.sh
	makeStudIP.sh
	plugin.manifest
	README
	StudIPortAjaxServer.php
	StudIPortDownload.php
	StudIPortExtAccPortalPlugin.class.php
	StudIPortFileUpload.php
	StudIPortPrintView.php
	StudIPortSystemPlugin.class.php
	StudIPortTextUpload.php
	StudIPortURLUpload.php
"

rm $ARCH

for f in $SRC_FILES
do
	echo "adding $f"
	zip -x ".svn" -r -q -T -u -9 -ll $ARCH $f
done

