<div id="StudIPortFileDetails">

<?php
	if(array_key_exists('error', $data)) {
		echo _($data['error']);
	} else {
?>




<!-- details form -->
<form id="fileDetailsForm" name="fileDetailsForm" action="javascript:void(0);" method="post">

<!-- actually visible data -->
<div class="formHeader">Dateieigenschaften und -beschreibung</div>

<div class="oddRow">
        <label for="title">Titel</label>
        <input id="title" name="title" type="text" value="<?= $data['title'] ?>" onchange="fileDetails.change(this);" style="width:400px;" />
</div>
<div class="evenRow">
        <label for="filename">Dateiname</label>
        <input id="filename" name="filename" type="text" value="<?= $data['filename'] ?>" onchange="fileDetails.change(this);" style="width:400px;" /><a href="<?= STUDIPORT_URI ?>/StudIPortDownload.php?file_id=<?= $data['file_id'] ?>"><img src="<?=STUDIPORT_IMG_URI?>/download.png" alt="Datei herunterladen" /></a>
</div>

<div class="oddRow">
	<label for="filetype">Dateityp <img src="<?=STUDIPORT_IMG_URI?>/<?= $data['picture'] ?>" alt="Type Image" /></label>
	<input id="filetype" name="filetype" type="text" readonly="readonly" value="<?= $data['filetype'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" />
</div>

<div class="evenRow">
	<label for="mimetype">Mime-Typ</label>
	<input id="mimetype" name="mimetype" type="text" readonly="readonly" value="<?= $data['mimetype'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" />
</div>

<div class="oddRow">
	<label for="filesize">Dateigr&ouml;&szlig;e</label>
	<input id="filesize" name="filesize" type="text" readonly="readonly" value="<?= $data['filesize'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" />
</div>
	
<div class="evenRow">
	<label for="descr_int">Private Notizen</label>
	<textarea id="descr_int" name="descr_int" style="width:400px; height:50px;" onchange="fileDetails.change(this)"><?= $data['descr_int'] ?></textarea>
</div>

<div class="oddRow">
	<label for="descr_ext">Beschreibung</label>
	<textarea id="descr_ext" name="descr_ext" style="width:400px; height:200px;" onchange="fileDetails.change(this)"><?= $data['descr_ext'] ?></textarea>
</div>

<div class="evenRow">
	<label for="created">Angelegt</label>
	<input id="created" name="created" type="text" readonly="readonly" value="<?= $data['created'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" />
</div>

<div class="oddRow">
	<label for="edited">Letzte &Auml;nderung</label>
	<input id="edited" name="edited" type="text" readonly="readonly" value="<?= $data['edited'] ?>" style="width:400px;" /><img src="<?=STUDIPORT_IMG_URI?>/readonly.png" width="16" height="16" alt="Feld nur lesbar" />
</div>	


<!-- footer with message box and buttons -->
<div class="formFooter">
	<div class="formButtons">
		<input type="image" <?= StudIPortUtilities::makeHTMLButton("abbrechen"); ?> onclick="fileDetails.abort('fileReloadDetails', {'file_id':<?= $data['file_id'] ?>});" />
		<input type="image" <?= StudIPortUtilities::makeHTMLButton("speichern"); ?> onclick="fileDetails.save('fileSaveDetails', {'file_id':<?= $data['file_id'] ?>});" />
	</div>
<div id="fileDetailsFormMsgBox" class="msgBox">&nbsp;</div>
</div>

</form>


&nbsp;

<!-- views form -->
<form id="fileViewsForm" name="fileViewsForm" action="javascript:void(0);" method="post">

<!-- actually visible data -->
<div class="formHeader">Zuordnung zu Ansichten</div>

<div class="formBody">
	<? if(count($views)) : ?>
	<div class="listContent">
		<ul class="embeddedList">
		<? $rowCnt = 0; ?>
		<? foreach($views as $viewId => $view) : ?>
		<? $rowClass = (++$rowCnt % 2) ? 'oddListRow' : 'evenListRow' ?>
			<li onmouseover="this.className='listRowHover'" onmouseout="this.className='<?= $rowClass ?>'" class="<?= $rowClass ?>">
			<!-- SELECT BOX -->
				<div class="rowSelectBox"><input id="view_<?= $viewId ?>" name="view_<?= $viewId ?>" value="<?= $viewId?>" type="checkbox" <?= ($view['hasFile'] == 'Y' ? 'checked="checked"' : '') ?> onchange="fileViews.change(this)" /></div>
			<!-- FILE INFO -->
				<div class="rowToolBoxNarrow">
				<? if ($view['hasInfo']) : ?>
					<img src="<?=STUDIPORT_IMG_URI?>/info-yes.png" width="16" height="16" title="Info" onmouseover="StudIPort.view.showInfo(<?= $viewId ?>, 'div_hoverBox', this)" onMouseOut="StudIPort.box.close()" />
				<? else : ?>
					<img src="<?=STUDIPORT_IMG_URI?>/info-no.png" width="16" height="16" />
				<? endif ?>
				</div>
				<!-- INTERNAL VIEWS -->
				<div class="rowToolBoxWide">
<?			if ($view['numAccess'] > 0) : ?>
					<img src="<?=STUDIPORT_IMG_URI?>/user-yes.png" width="16" height="16" />
					<span class='sub'><?= $view['numAccess'] ?></span>
<?			else : ?>
					<img src="<?=STUDIPORT_IMG_URI?>/user-no.png" width="16" height="16" />
					<span class='sub'>&ndash;</span>
<?			endif ?>
				</div>
				<!-- PUBLIC VIEWS -->
				<div class="rowToolBoxWide">
<?			if ($view['public'] == 'Y') : ?>
					<img src="<?=STUDIPORT_IMG_URI?>/public-yes.png" width="16" height="16" />
<?			else : ?>
					<img src="<?=STUDIPORT_IMG_URI?>/public-no.png" width="16" height="16" />
<?			endif ?>
				</div>
				<!-- FILENAME -->
				<div class="rowContentBox"><a href="<?= StudIPortLinkEngine::getLink('views', array('view_id' => $viewId)) ?>"><?= $view['name'] ?></a></div>
			</li>
		<? endforeach ?>
		</ul>

	</div>
	<div class="rowSelectActionsBox">
		<img src='<?=STUDIPORT_IMG_URI?>/arrow_multisel.png' width='16' height='16' alt='' />&nbsp;ausw&auml;hlen:
		<a href="javascript:StudIPort.selectCheckboxes('fileViewsForm', true); fileViews.change(null);">alle</a> |
		<a href="javascript:StudIPort.selectCheckboxes('fileViewsForm', false); fileViews.change(null);">keine</a> |
		<a href="javascript:StudIPort.invertCheckboxes('fileViewsForm'); fileViews.change(null);">invertieren</a>
	</div>
	<? else : ?>
		Keine Ansichten vorhanden.
	<? endif ?>
</div>


<!-- footer with message box and buttons -->
<div class="formFooter">
	<div class="formButtons">
		<input type="image" <?= StudIPortUtilities::makeHTMLButton("abbrechen"); ?> onclick="StudIPort.file.reloadViewsForm(<?= $data['file_id'] ?>);" />
		<input type="image" <?= StudIPortUtilities::makeHTMLButton("speichern"); ?> onclick="StudIPort.file.saveViewsForm(<?= $data['file_id'] ?>);" />
	</div>
	<div id="fileViewsFormMsgBox" class="msgBox">&nbsp;</div>
</div>
</form>


<script type="text/javascript">
	var fileDetails = new FormStatus("fileDetailsForm", "fileDetailsFormMsgBox");
	var fileViews   = new FormStatus("fileViewsForm", "fileViewsFormMsgBox");
</script>


<?
	}
?>


</div>
